# ContractRejected

PATH: /aurora.core.apiengine.contractsv1.ContractEventsService/ContractRejected

Endpoint: POST /aurora.core.apiengine.contractsv1.ContractEventsService/ContractRejected
Version: v1.23.0
Security: Bearer

## Request fields (application/json):

  - `contract` (object, required)
    Current status of the contract according to AuroraFields: id, settlement_type, settlement_id, instrument, side, counterparty_id, status, quantity, rate_details, collateral_rate, rounding_rule, interest_due_amount, market_value, contract_value, contract_value_adjustment, created_at, settlement_date, recalled_quantity, returned_quantity, agreement_id, unit_price, last_quantity, last_market_value, last_contract_value, collateral_price

  - `contract.agreement_id` (string)
    Id of the agreement associated with this contract

  - `contract.collateral_price` (string, required)
    The collateral_rate adjusted price rounded up.

  - `contract.collateral_rate` (string, required)
    Collateral rate of the contract

  - `contract.contract_value` (string, required)
    Value of the contract

  - `contract.contract_value_adjustment` (string, required)
    Change in value of the contract

  - `contract.counterparty_id` (string, required)
    Counterparty ID

  - `contract.created_at` (string, required)
    Time of contract creation- time in RFC3339 with millisecond precision

  - `contract.id` (string, required)
    Contract identifier (persistent identifier inside Aurora system)

  - `contract.instrument` (object, required)
    Instruments can be identified by their CUSIP or Ticker SymbolFields: cusip, ticker, name

  - `contract.instrument.cusip` (string, required)
    CUSIP

  - `contract.instrument.name` (string, required)
    Security name

  - `contract.instrument.ticker` (string, required)
    Ticker

  - `contract.interest_due_amount` (string, required)
    Daily interest amount of the contract

  - `contract.last_contract_value` (string, required)
    Value of the contract before the last operation that adjusted this value

  - `contract.last_market_value` (string, required)
    Market value of the contract before the last operation that adjusted this value

  - `contract.last_quantity` (string, required)
    Quantity of the contract before the last operation that adjusted this value

  - `contract.market_value` (string, required)
    Market value of the contract

  - `contract.quantity` (string, required)
    Total quantity of the contract

  - `contract.rate_details` (object, required)
    Fields: rate, benchmark

  - `contract.rate_details.benchmark` (string)
    possible rate benchmarks
    Enum: "OBFR", "EFFR", "SOFR", "BGCR", "TGCR", "IORB"

  - `contract.rate_details.rate` (string, required)

  - `contract.recalled_quantity` (string, required)
    Total quantity currently recalled

  - `contract.returned_quantity` (string, required)
    Total quantity that has been returned

  - `contract.rounding_rule` (string, required)
    Enum: "NO_ROUNDING", "UP_TO_NEAREST_0_DOT_01", "UP_TO_NEAREST_0_DOT_05", "UP_TO_NEAREST_0_DOT_10", "UP_TO_NEAREST_0_DOT_25", "UP_TO_NEAREST_1_DOT_0"

  - `contract.settlement_date` (string, required)
    Settlement date of SFT (if exists)

  - `contract.settlement_id` (string, required)
    Settlement Type specific identifier
ie. DTCC reference id for SFT

  - `contract.settlement_type` (string, required)
    Enum: "NSCC", "BILATERAL"

  - `contract.side` (string, required)
    Enum: "BORROW", "LOAN"

  - `contract.status` (string, required)
    possible states in the lifecycle of a contract
    Enum: "NEW", "PENDING", "REJECTED", "DROPPED", "CANCELED", "OPEN", "CLOSED", "TERMINATED", "UNDER_CORP_ACTION", "ROLL_PENDING", "CANCEL_ROLL_PENDING", "CANCEL_RETURN_PENDING", "CANCEL_NEW_LOAN_PENDING", "ERROR"

  - `contract.unit_price` (string, required)
    Last prior day market price

  - `request_id` (string, required)
    User populated id of this request


